/* ===============================================
	SLIDER
=============================================== */

const options = {
  slidesToShow: 1,
  slidesToScroll: 1,
  dots: true,
  arrows: false,
  adaptiveHeight: true,
  autoplay: false,
};

// my slick slider as constant object
const mySlider = jQuery('.slider').on('init', function(slick) {

  // constant var
  const slider = this;

  // slight delay so init completes render
  setTimeout(function() {

    // dot buttons
    let dots = jQuery('.slick-dots > li > button', slider);

    // each dot button function
    jQuery.each(dots, function(i,e) {

      // slide id
      let slide_id = jQuery(this).attr('aria-controls');

      // custom dot image
      let dot_img = jQuery('#'+slide_id).data('dot-img');

      jQuery(this).html('<img src="' + dot_img + '" alt="" />');

    });

  }, 100);

}).slick(options);

/* ===============================================
  Scroll Top //
============================================= */

jQuery(window).scroll(function () {
  if (jQuery(this).scrollTop() > 100) {
      jQuery('.scroll-up').fadeIn();
  } else {
      jQuery('.scroll-up').fadeOut();
  }
});

jQuery('a[href="#tobottom"]').click(function () {
  jQuery('html, body').animate({scrollTop: 0}, 'slow');
  return false;
});

/*===============================================
 PRELOADER
=============================================== */

jQuery('document').ready(function($){
  setTimeout(function () {
  jQuery(".cssloader").fadeOut("fast");
},2000);
});

/* ===============================================
  STICKY-HEADER
============================================= */

jQuery(window).scroll(function () {
  var sticky = jQuery('.sticky-header'),
  scroll = jQuery(window).scrollTop();

  if (scroll >= 100) sticky.addClass('fixed-header');
  else sticky.removeClass('fixed-header');
});